| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Attributes | List of all members
Digikam::DownloadSettings Class Reference

## Public Attributes
bool | autoRotate = true
| Settings from AdvancedSettings widget.
bool | backupRaw = false
int | colorLabel = NoColorLabel
| Pre-colorLabel of each camera file.
bool | compressDng = true
bool | convertDng = false
| Settings from DNG convert widget.
bool | convertJpeg = false
QString | dest
bool | documentName = false
QString | file
bool | fixDateTime = false
QString | folder
| File path to download.
QString | losslessFormat
| New format to convert Jpeg files.
QString | mime
| Mime type from file to download.
QDateTime | newDateTime
int | pickLabel = NoPickLabel
| Pre-pickLabel of each camera file.
int | previewMode = DNGWriter::FULL_SIZE
int | rating = NoRating
| Pre-rating of each camera file.
QString | script
| Settings from ScriptingSettings widget.
QList< int > | tagIds
| Pre-tags of each camera file.
QString | templateTitle
| Metadata template title.